Summary:	KBoincMgr is a KDE-based replacement for the official boincmgr program
Name:		kboincmgr
Version:	0.2.4
Release:	%mkrel 1
License:	GPL
Group:		Networking/Other
URL:		http://sourceforge.net/projects/kboincmgr
Source:		http://downloads.sourceforge.net/kboincmgr/%{name}-%{version}.tar.bz2
BuildRequires:	libqt-devel	>= 3.3.7
BuildRequires:	kdelibs-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}buildroot


%description
KBoincMgr is a replacement for the official boincmgr program. Apart the 
advantages of adhering to the KDE philosophy of ease of use, KBoincMgr 
maintains the look and feel of your other KDE applications.

%prep
%setup -qn %{name}-0.2

%build
%configure \
	--enable-nmcheck \
	--enable-pch \
	--disable-rpath

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
#mkdir -p %{buildroot}/bin
#make DESTDIR=%{buildroot} install

%makeinstall_std
mkdir -p %{buildroot}%{_datadir}/applications
mv -f %{buildroot}%{_datadir}/applnk/Utilities/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING INSTALL ChangeLog
%doc %{_docdir}/HTML/en/kboincmgr
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/apps/kboincmgr
%{_datadir}/icons/hicolor/*/apps/kboincmgr.png
%{_datadir}/icons/hicolor/*/apps/konsole_open.png
%{_datadir}/icons/hicolor/*/apps/konsole_close.png


%changelog
* Mon Feb 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.4-1mdv2007.0
+ Revision: 116176
- new version

* Wed Jan 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.3-1mdv2007.1
+ Revision: 115695
- Import kboincmgr

